# pandas.core.window.Window.mean

`Window.``mean`(*args, **kwargs)

  Calculate the window mean of the values.

  Parameters:

  *args

  > Under Review.

  **kwargs

  > Under Review.

  Returns:

  Series or DataFrame

  > Returned object type is determined by the caller of the window calculation.

  See also

  `Series.window`
    Calling object with Series data.
  `DataFrame.window`
    Calling object with DataFrames.
  `Series.mean`
    Equivalent method for Series.
  `DataFrame.mean`
    Equivalent method for DataFrame.

  Examples

  The below examples will show rolling mean calculations with window sizes of two and three, respectively.

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s.rolling(2).mean()
      0    NaN
      1    1.5
      2    2.5
      3    3.5
      dtype: float64

      >>> s.rolling(3).mean()
      0    NaN
      1    NaN
      2    2.0
      3    3.0
      dtype: float64

Scroll To Top